Endpoint
POST /v3/universal-ai (sync)
Model string pattern: text/named_entity_recognition/{provider}[/{model}]
Input
| Field | Type | Required | Description |
|---|---|---|---|
| text | string | Yes | Text to analyze for named entities |
| language | string | No | ISO 639-1 language code |
Output
| Field | Type | Required | Description |
|---|---|---|---|
| items | array[object] | No | |
| entity | string | Yes | |
| category | string | Yes | |
| importance | float | Yes |
Available Providers
| Provider | Model String | Price |
|---|---|---|
| amazon | text/named_entity_recognition/amazon | $1 per 1,000,000 chars |
| microsoft | text/named_entity_recognition/microsoft | $1 per 1,000,000 chars |
| openai | text/named_entity_recognition/openai | $10 per 1,000,000 tokens |
| openai (gpt-4o) | text/named_entity_recognition/openai/gpt-4o | $10 per 1,000,000 tokens |
| tenstorrent | text/named_entity_recognition/tenstorrent | $1 per 1,000,000 chars |